ControlCommand.Action (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server.controller

## Enum ControlCommand.Action

- java.lang.Object
- - java.lang.Enum<ControlCommand.Action>
  - - org.apache.zookeeper.server.controller.ControlCommand.Action

- All Implemented Interfaces:
    Serializable, Comparable<ControlCommand.Action>
  Enclosing class:
    ControlCommand

      public static enum ControlCommand.Action
      extends Enum<ControlCommand.Action>

  Actions available to the controller

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDDELAY`
    `CLOSECONNECTION`
    `ELECTNEWLEADER`
    `EXPIRESESSION`
    `FAILREQUESTS`
    `NORESPONSE`
    `PING`
    `REJECTCONNECTIONS`
    `RESET`
    `SHUTDOWN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ControlCommand.Action` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ControlCommand.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PING

          public static final ControlCommand.Action PING

    - #### SHUTDOWN

          public static final ControlCommand.Action SHUTDOWN

    - #### CLOSECONNECTION

          public static final ControlCommand.Action CLOSECONNECTION

    - #### EXPIRESESSION

          public static final ControlCommand.Action EXPIRESESSION

    - #### REJECTCONNECTIONS

          public static final ControlCommand.Action REJECTCONNECTIONS

    - #### ADDDELAY

          public static final ControlCommand.Action ADDDELAY

    - #### FAILREQUESTS

          public static final ControlCommand.Action FAILREQUESTS

    - #### NORESPONSE

          public static final ControlCommand.Action NORESPONSE

    - #### RESET

          public static final ControlCommand.Action RESET

    - #### ELECTNEWLEADER

          public static final ControlCommand.Action ELECTNEWLEADER

  - ### Method Detail

    - #### values

          public static ControlCommand.Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ControlCommand.Action c : ControlCommand.Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ControlCommand.Action valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.